MCP Tools Reference: cloudbilling.googleapis.com

Tool: get_service

Gets a publicly listed service.

The following code sample shows how to use curl to call the get_service MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_service",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetService.

GetServiceRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the service to retrieve. Format: services/{service}

Output Schema

Encapsulates a Google Cloud service.

Service

JSON representation
{
  "name": string,
  "serviceId": string,
  "displayName": string
}
Fields
name

string

Resource name for the service. Example: "services/DA34-426B-A397".

serviceId

string

Identifier for the service. Example: "DA34-426B-A397".

displayName

string

Description of the service. Example: "BigQuery", "Compute Engine".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌